Skip to navigation

Delete a collection

Drops the specified collection and all associated data in it.

Authentication

api-keystring

Authorization key, either read-write or read-only

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_namestringRequired
Name of the collection to delete

Query parameters

timeoutintegerOptional>=1

Wait for operation commit timeout in seconds. If timeout is reached - request will return with service error.

Response

successful operation
usageobject or anyOptional
timefloatOptional
Time spent to process this request
statusstringOptional
resultbooleanOptional

Errors

4XX
Client Request Error